<%@ page language="java" %>
<%@ taglib uri="/orataglib" prefix="ora" %>

<%-- Verify that the user is logged in --%>
<ora:validateSession name="validUser"
  loginPage="login.jsp" errorMsg="Please log in first." />

<%-- Verify that it's a POST method --%>
<% if (!request.getMethod().equals("POST")) { %>
     <ora:redirect page="main.jsp" />
<% } %>

<%-- Make the bean available for scripting elements --%>
<jsp:useBean id="validUser" scope="session"
  class="com.ora.jsp.beans.emp.EmployeeBean" />

<%-- Update the project list in the bean --%>
<jsp:setProperty name="validUser" property="projects"
  value='<%= request.getParameterValues("projects") %>' />

<ora:useDataSource id="example" 
  className="sun.jdbc.odbc.JdbcOdbcDriver" 
  url="jdbc:odbc:example" />

<ora:sqlTransaction dataSource="example">

  <%-- Delete the old project (if any) and insert the new ones --%>
  <ora:sqlUpdate>
    DELETE FROM EmployeeProjects
      WHERE UserName = ?
    <ora:sqlStringValue name="validUser" property="userName" />
  </ora:sqlUpdate>

  <ora:loop name="validUser" property="projects" loopId="project" 
    className="String" >
    <ora:sqlUpdate>
      INSERT INTO EmployeeProjects
        (UserName, ProjectName) VALUES(?, ?)
      <ora:sqlStringValue name="validUser" property="userName" />
      <ora:sqlStringValue value="<%= project %>" />
    </ora:sqlUpdate>
  </ora:loop>

</ora:sqlTransaction>

<%-- Redirect to main page --%>
<ora:redirect page="main.jsp" />